:userdoc.
:title.ColoradOS/2 Conference
:docprof toc=12345.
:h1. Conference Overview
Copyright 1992, Kovsky Conference Productions Inc.

:h2. About ColoradOS/2!
:p.
:lines align=center.
:hp2. About ColoradOS/2!:ehp2.
:elines.
:p.
The First International Colorado OS/2 Developers Conference (:hp2.ColoradOS/2!:ehp2.)
will be held in Colorado Springs, Colorado, January 10th through 15th, 1993.
This conference is devoted exclusively to OS/2 programming, and it provides
a rare opportunity to meet and learn from the top OS/2 technical experts.
Many of the speakers were/are responsible for the architecture or design of
major features of OS/2, while other speakers are among the emerging leaders
in developing commercial OS/2 applications.
:h2. Who Should Attend?
:p.
:lines align=center.
:hp2. Who Should Attend?:ehp2.
:elines.
:p.
Software engineers who are designing and writing OS/2 applications, or who
plan to do so, are the primary audience for this conference. Consultants,
Software Architects, Independent Developers, Technical Managers, Technical
Educators, and hobbyist programmers will all find something of interest here.
Attendees should be moderately experienced programmers who are comfortable
with at least one of the following languages:  C or C++, Smalltalk, or 
assembly language for the 80x86 family.  Planned technical sessions range
from introductory to highly advanced; even the most experienced OS/2 
programmers will learn many new things at this conference, while programmers
who are new to OS/2 can accomplish during this single week what would have
required months of tedious trial and error on their own.
:h2. What Topics Will Be Covered?
:p.
:lines align=center.
:hp2. What Topics Will Be Covered?:ehp2.
:elines.
:p.
Some sessions will focus on the transition from DOS or Windows programming to
OS/2, while others will focus on the transition from 16- bit to 32-bit 
programming.  Many of the sessions will be of particular interest to
Presentation Manager programmers, as we provide detailed information on
programming the new PM controls introduced with OS/2 version 2.0.  Sessions
on Workplace Shell and System Object Model programming, REXX, Smalltalk/V PM
and Parts, C Set/2 and IPMD, multi- threaded programming techniques, 
client/server programming, Extended Services and Communications Manager,
TCP/IP, printing in OS/2, and many more, will provide the most extensive 
technical coverage of OS/2 ever put together into a single conference.
:h2. Keynote Speakers.
:p.
:lines align=center.
:hp2. Keynote Speakers.:ehp2.
:elines.
:p.
John Soyring, Director of Software Development Programs in IBM's Personal
Systems division, will be the primary keynote speaker.  John is well known
in OS/2 circles for his tireless efforts to help OS/2 developers, who in turn
will be responsible for the ultimate success of OS/2.  Additional keynote
speakers will be announced at a later date.
:h2. Free Software.
:p.
:lines align=center.
:hp2. Free Software.:ehp2.
:elines.
:p.
Every attendee will receive a CD-ROM that includes a beta version of OS/2 
Version 2, including the 32-bit graphics engine and support for Windows 3.1
API's.  A large set of tools are also included:  a beta C Set/2 with support
for virtual device driver development; a beta source profiler; a beta linker;
a beta Workframe/2; MMPM/2 plus toolkit; TCP/IP for OS/2 code; LAN Server 3.0
beta; Netware Requester code; and more. The CD-ROM also contains the OS/2
Technical Reference Library and the OS/2 Red Books; both are in BookManager 
format and IPF format. A BookManager Reader is included on the CD-ROM, and
the IPF viewer is a standard feature of OS/2 2.0.  In addition, every attendee
will receive a copy of Borland's ObjectVision for OS/2.
:h1.ColoradOS/2! Technical Agenda
:p.
:h2. C Set/2 Optimizations.                
:p.
:lines align=center.
:hp2. C Set/2 Optimizations.:ehp2.
:elines.
:p.
This session, presented by one of the designers and implementors of C Set/2's
optimizer, will discuss in detail the code optimizations provided by C Set/2.
It will provide valuable information on what the C Set/2 optimizer will and 
will not do for you, including guidance on how to avoid writing programs that
make it impossible for the optimizer to generate efficient code. Attendees
should be familiar with C; familiarity with 80386 assembler will be helpful.            
:h2. An Introduction to IBM C++.           
:p.
:lines align=center.
:hp2. An Introduction to IBM C++.:ehp2.
:elines.
:p.
This will be an in-depth introduction to IBM's new C++ compiler package.  A
detailed discussion of the utilities and class libraries provided with the
compiler will round out this presentation.  Attendees should be familiar with
C; familiarity with C++ will be helpful.                                               
:h3. Speaker
:p.
:hp2.Ian Ameline:ehp2.:hp1. is a Senior Associate Development Analyst with IBM Canada.
Working on the OS/2 Common Code Generator and Optimizer since May, 1988, 
Ian has been responsible for a significant part of the design and 
implementation of the C Set/2 optimizing code generator, which is currently 
in use by C, C++ and PL/1 on OS/2.  Ian has more than eight years experience
programming in C and Assembler for OS/2 and DOS, and he has been very active 
in assisting C Set/2 users on CompuServe's OS2DEV forum.:ehp1.
:h2. Object Programming and OS/2.          
:p.
:lines align=center.
:hp2. Object Programming and OS/2.:ehp2.
:elines.
:p.
Within the programming community there is considerable misunderstanding of,
and much inaccurate information associated with, the concept of Object 
Programming.  This session will closely examine Object Programming, to 
understand what it is and how we can make it work for us.  Specific attention
will be paid to the use of Object Programming in the OS/2 environment,
including C++, SOM and the Workplace Shell.
:h2.Distributed Object Programming.
:p.
:lines align=center.
:hp2.Distributed Object Programming.:ehp2.
:elines.
:p.
This is where Object Programming meets the road, or rather, the network. 
Objects in one application invoke methods on objects located elsewhere in a
distributed object environment. Discussions will encompass the issues
involved in designing and implementing distributed object programming.  Topics
will include implementation of a distributed object environment, and building
distributed object applications.                                                        
:h3. Speaker
:p.
:hp2.Noel J. Bergman:ehp2.:hp1. is the co-founder and Chief Technical Officer of Development
Technologies, Inc. (DevTech), a small firm specializing in servicing the needs
of the software development community, primarily through consulting services 
and development tools.  Noel was a primary architect, designer and implementor
of NCR Cooperation (TM), NCR's distributed object programming environment and
office suite, having been particularly involved in NCR's Object Request Broker                                                         
technology.:ehp1.
:h2. Using Smalltalk/V PM.                                                                   
:p.
:lines align=center.
:hp2. Using Smalltalk/V PM.:ehp2.
:elines.
p.
Smalltalk is the oldest widely used object-oriented language. This session
explores the lessons learned from the Smalltalk experience, and raises the
issues that Smalltalk must address in the 90's.  Special attention is given to
the issues of large scale projects and integration with existing technology.             
:h2. Software Construction from Parts.     
:p.
:lines align=center.
:hp2. Software Construction from Parts.:ehp2.
:elines.
p.
Software reusability has long been the sought-after promise of object-oriented
technology.  This session discusses what has worked in the past, and draws
analogies with other fields in identifying a key missing technology.  The power
of this technology is then demonstrated, using Digitalk's new PARTS Workbench
(TM).                                               
:h3. Speaker
:hp2.George Bosworth:ehp2.:hp1. is co-founder and vice president of Digitalk, Inc.  He has
served as chief architect to all of the Digitalk products since its inception.
Prior to Digitalk, he has played key project roles involving technologies and
applications such as fault-tolerant software design, electronic publishing, 
local area networks, office automation, embedded systems, and microcoded 
interpreters.  He also built the first commercial linkage editor based on
object-oriented, virtual memory techniques. George served as panel chairperson
in 1988 and chairperson in 1989 for ACM's annual OOPSLA conference, and he 
currently serves on its steering committee.               :ehp1.
:h2. Neat Things to Do with REXX in OS/2.                                 
:p.
:lines align=center.
:hp2. Neat Things to Do with REXX in OS/2.:ehp2.
:elines.
p.
Topics to be presented include using REXX with:  the Workplace Shell; INI
files; interprocess communication; the file system; external data queues;
extended attributes; etc.  Some useful REXX tricks will also be described.                                                    
:h2. Adding a REXX Interface to Your Application.                                                  
:p.
:lines align=center.
:hp2. Adding a REXX Interface to Your Application.:ehp2.
:elines.
:p.
This session goes into the nuts and bolts of using the REXX API, with examples
and motivation. Topics include:  how to start a REXX program; how to handle
commands, function calls, and the REXX variable pool; and writing REXX
function packages and subcommand handlers.                                          
:h3. Speaker
:p.
:hp2.Charles Daney:ehp2.:hp1. manages Quercus Systems, and he is the developer of Personal
REXX (the first implementation of REXX outside of IBM); a REXX function
package called REXXLIB; and the REXXTERM asynchronous  communication package. 
He is also the author of "Programming in REXX" (McGraw-Hill, 1992). Charles 
was involved with the IBM Share user group for a number of years, during which                             
time he developed and operated a very successful early computer conferencing
system called VMSHARE.                                                               :ehp1.
:h2. Programming Notebook Controls.
:p.
:lines align=center.
:hp2. Programming Notebook Controls.:ehp2.
:elines.
:p.
This session will cover all aspects of Notebook programming. Learn to program
the Notebook control from the ground up, starting with a simple example and 
progressing towards a fully functional Notebook control. Topics include:
creating the control; inserting pages; tailoring the control; interrelationships
between the Notebook and its associated pages; dynamic sizing of pages; etc.
Plenty of sample source code and template examples will be provided to take
back to work. This session is intended to make all attendees fluent in this 
new control.                             
:h2. How Containers Grow Up to Be Folders.                             
:p.
:lines align=center.
:hp2. How Containers Grow Up to Be Folders.:ehp2.
:elines.
:p.
WPS Folders are little more than fully-functional Container controls wrapped 
up in SOM bindings.  This session begins with a basic Container control and
adds the functionality necessary to make it look very much like a folder. 
Topics include:  drag/drop, context menus, direct editing, color changing,
and switching between multiple views.  Source code will be provided for all 
aspects of Container control programming, as well as for the finished folder      
program.                             
:h3. Speaker
:p.
:hp2.Rick Fishman:ehp2.:hp1. is President of Code Blazers, Inc., a company specializing in
OS/2 application development and consulting.  With 10 years programming 
experience, Rick has been involved with OS/2 since its inception, and he
has become very well-known for the authoritative help he voluntarily provides
to other programmers on CompuServe's OS2DEV forum.                    :ehp1.
:h2. Using IPMD Effectively.              
:p.
:lines align=center.
:hp2. Using IPMD Effectively.:ehp2.
:elines.
:p.
A brief look at the history and development goals of the IPMD debugger that
is part of IBM's OS/2 toolkit will be followed by an overview of IPMD's
functions and their uses.  Problems that have been discovered will be described
along with their workarounds, and debugging tips will be offered.  Further            
discussion will involve the debugging of the more complex application types,
including special techniques for debugging PM applications, child processes,
etc.  This session will conclude with a discussion of the current "wish list"
for future enhancements, and some comments on the future of the debugger.    
:h3. Speaker
:p.
:hp2.Patrick J. Gerstle:ehp2.:hp1. has been programming for IBM since receiving his Master of
Science in Engineering in May, 1972.  He spent about nine years doing assembly     
language coding for the processors that controlled IBM copiers and printers,
and about seven years writing programs to control the advanced IBM typewriters.
The last four years have been spent learning C, OS/2 and PM programming, and
planning and developing the IPMD debugger. His current responsibility is customer
support for IPMD, and in that role he has been a very active participant in
CompuServe's OS2DEV forum.:ehp1.
:h2. Error Handling for OS/2 2.0 Applications.                     
:p.
:lines align=center.
:hp2. Error Handling for OS/2 2.0 Applications.:ehp2.
:elines.
:p.
In this session we will discuss error handling within OS/2 applications,
covering various strategies for testing and error handling under both
development and production circumstances.  We will discuss a specific           
implementation of event-driven error handling as implemented in Soft &amp. GUI's
Error Manager product.  This will be a fairly technical discussion, although    
MIS managers may also find this session of interest.              
:h3. Speaker.
:hp2.Arthur Goikhman:ehp2.:hp1. is President of Soft &amp. GUI Inc.  He has a B.S. in Computer and
Information Science from the City University of New York, and is pursuing a 
Masters Degree in the field.  Soft &amp. GUI Inc. develops custom and off-the-shelf
OS/2 software, in addition to providing consulting services to major Wall Street
firms.:ehp1.
:h2. Programming the OS/2 Container Control.                             
:p.
:lines align=center.
:hp2. Programming the OS/2 Container Control.:ehp2.
:elines.
:p.
The Container is one of the more complex and powerful PM controls in OS/2 2.0.
This session will cover many aspects of Container programming including: 
overview and basic information; programming all the different views, with
emphasis on the Icon, Tree and Details views; Container application optimization
techniques; and helpful hints. We will also describe how to use the Record
Sharing feature of the Container, and we will compare and contrast the
RECORDCORE and MINIRECORDCORE data structures. Sample source code will be           
provided.  This session is intended for both the novice and experienced
Container programmer.
:h3.Speaker
:p.
:hp2.Peter Haggar:ehp2.:hp1. is a senior associate programmer with IBM in Cary, North Carolina.
He was one of the developers of the OS/2 Container control. He also accepted a
five-month programming assignment at the IBM Programming Center in Boca Raton,
Florida, where he worked on the OS/2 2.0 Workplace Shell development team.
Peter has co-authored several articles on the Container which are being published
in upcoming issues of "OS/2 Developer" magazine. He is active on the OS2DEV       
forum on Compuserve, providing assistance to developers working with the
Container control.  Peter received a B.S. in Computer Science from Clarkson                  
University in New York.:ehp1.
:h2. Writing Presentation Manager Device Drivers.
:lines align=center.
:hp2. Writing Presentation Manager Device Drivers.:ehp2.
:elines.
:p.
Or, "Tips, Traps, and Pitfalls of Presentation Manager Device Drivers". This
workshop will present an architectural overview of Presentation Manager Device
Drivers and how they interact with OS/2 applications and kernel services. Useful
tips on using the kernel debugger (KDB) with PM drivers will also be offered.                                             
:h3. Speaker
:p.
:hp2.Brian Herdeg:ehp2.:hp1. is Director of Software Engineering, Janus Systems/ARC.  He has
spent the last two years writing PM device drivers for TIGA boards under OS/2
1.3 and 2.0.  His original background is in RF and TTL design. Brian has been
employed writing (and debugging) software since 1981.:ehp1.
:h2. Migrating to 32-Bit OS/2.                  
:p.
:lines align=center.
:hp2. Migrating to 32-Bit OS/2.:ehp2.
:elines.
:p.
This presentation will cover the principles of 16 to 32 Bit Migration for OS/2
Base and PM applications.  The OS/2 2.0 development environment will be introduced
and the particulars of migration will be explained, concentrating on the two
major migration areas:  API implications, and the use of 32 Bit compilers 
(with particular reference to using the IBM C Set/2 32 Bit C compiler). Migration
strategies will be outlined, and Mixed model programming will be covered.                                             
:h2. OS/2 Multi-Threaded Programming.           
:p.
:lines align=center.
:hp2. OS/2 Multi-Threaded Programming.:ehp2.
:elines.
:p.
This session will discuss and examine the details of the multi-threaded
programming environment provided by the OS/2 2.0 API.  Problems of multi-threading 
will be covered, along with techniques suitable for extracting the most from
the multi-threaded concept while remaining a "well behaved" application. The 
use of Threads, Dynamic memory, Semaphores and Object Windows will be studied.       
This tutorial is suitable for attendees who have a basic knowledge of OS/2 2.0
programming but who come from a DOS, Windows or other non-threaded environment, as
well as those who wish to learn more about multi-threading under OS/2 2.0.       
:h3. Speaker
:p.
:hp2.Aidon Jennery:ehp2.:hp1. is Manager of US Operations and a Senior Consultant for the UK
based Q.A. Training Ltd., a technical computing services company supplying                 
consultancy, training and products world-wide.  Aidon has worked in the
industry for over 14 years and has spent considerable time concentrating on
OS/2, particularly in the area of programming and development. He has spent
most of the last three years working in the US, mostly on IBM projects with 
OS/2.  Aidon helped pioneer and deliver the IBM OS/2 16 to 32 Bit PM Migration
Workshop held by the IBM Developer Assistance Program in Florida, where he has
assisted many major software writers and vendors migrate applications from 
OS/2 1.3 to 2.0.  He also conducts workshops in Europe on 16 to 32 Bit
Migration, and Workplace Shell integration and migration.:ehp1.
:h2. OS/2 Client/Server Development in the AD/Cycle Environment.                
:p.
:lines align=center.
:hp2. OS/2 Client/Server Development in the AD/Cycle Environment.:ehp2.
:elines.
:p.
IBM's AD/Cycle framework provides an advanced development environment for 
CASE-based Client/Server applications. Learn how key elements such as Workstation
Platform/2, SCLM+PVCS, and Repository services can be used to build an integrated
development standard. Evaluate how FASTService software probes, Management
Service functions and Alert Vectors can be employed to construct robust, network-aware
applications supporting centralized SystemView management.  Transition to the           
AD/Platform architecture will also be presented, along with OS/2 &amp. AIX development
convergence issues and future opportunities for multi-platform development.                             
:h3. Speaker
:p.
:hp2.Eric Jones:ehp2.:hp1. is manager of Advanced Technology Services with the Department of
Transportation in Arizona. He has been involved in advanced system development          
in the AD/Cycle and CASE arena for the last three years.  His interests include
distributed function/distributed data system design, and model-based system                   
development at the Enterprise level.:ehp1.
:h2. The Future of OS/2.                      
:p.
:lines align=center.
:hp2. The Future of OS/2.:ehp2.
:elines.
:p.
This presentation describes the future directions and strategy of the OS/2
system in the PC and workstation markets.  It investigates the features and            
functions OS/2 needs to provide in the short-term (1992), intermediate (1993),
and long-term (post-1993) future, to continue meeting and exceeding the
requirements of the industry. The exploitation and impact of evolving technologies
such as multimedia, multiprocessing, security, and open distributed systems are
described and clarified relative to the future of OS/2 and its extensions, as        
well as how OS/2 can meet the cross-platform portability and scalability 
requirements of the future.                               
:h2. OS/2 and Windows NT.                  
:p.
:lines align=center.
:hp2. OS/2 and Windows NT.:ehp2.
:elines.
:p.
This presentation compares and contrasts the features and functions of OS/2 and
Windows NT, and analyzes the strategic and tactical issues that developers and 
end-users must face when migrating to a 32-bit computing platform.  Migration
issues such as cross-platform portability and backwards compatibility are           
investigated from both the end-user and software developer viewpoints.  Also
discussed are how OS/2 and Windows are addressing both the potential and the 
requirements of RISC computing, multiprocessing, and distributed systems.                  
:h2. DOS And Windows Compatibility.
:lines align=center.
:hp2. DOS And Windows Compatibility.:ehp2.
:elines.
:p.
This presentation explains and demonstrates how OS/2 provides binary compatibility
with DOS and Windows 3.X modules.  Also described is how OS/2 extends the
native capabilities of the DOS and Windows 3.X environments with respect to
multitasking, memory management, system integrity, and system integration.                   
:h2. OS/2 32-bit Base Programming.         
:lines align=center.
:hp2. OS/2 32-bit Base Programming.:ehp2.
:elines.
:p.
This presentation describes the 32-bit programming model of OS/2 2.0, used for
developing portable 32-bit applications and dynamic link libraries.  The flat
memory model, 32-bit calling conventions, and 32-bit dynamic linking that
constitute the backbone of the 32-bit API architecture are explained.  This           
session focuses on the base components of OS/2, including multitasking, memory
management, dynamic linking, exception management, interprocess communication, and 
resource management.                                 
:h3.Speaker
:p.
:hp2.Dr. Michael S. Kogan:ehp2.:hp1. is an independent consultant who specializes in personal
computer software and systems.  He has 11 years of experience in the computer              
field, and provides technical consulting and education services to the corporate
and retail sectors.  Formerly with IBM, he has worked on OS/2 since 1985 as a
lead OS/2 developer and subsequently as lead designer of OS/2 2.0 with responsibilities
in all areas of the system.  Dr. Kogan is also co-author of "The Design Of OS/2", 
which describes the architecture, design, and internals of both 16-bit and 32-bit
OS/2.  Dr. Kogan received his B.S. from Emory University in Georgia, and he           
earned his M.S. and Sc.D. degrees from Nova University in Florida, where he is
also a visiting professor.:ehp1.
:h2. Porting the PM Graphics Subsystem to 32 Bits.                                 
:lines align=center.
:hp2. Porting the PM Graphics Subsystem to 32 Bits.:ehp2.
:elines.
:p.
In this session, we will examine the porting of the OS/2 PM Graphics Subsystem
from 16-bit C and ASM, to 32-bit C and very limited ASM.  We will describe the
benefits derived from this code conversion, such as: removal of certain limits;                  
improved portability; performance gains; and enabling the use of 32-bit device
drivers.  We will discuss what bottlenecks in the system (primarily, "thunks")
we removed, describe where there is work still to be done, and share lessons we
learned along the way (tricks, techniques, strategies, etc.).  We will also
discuss work we have been doing to convert the window manager to 32-bit code,        
and what limits and constraints that conversion will remove. This session will
contain a mixture of porting, testing and debugging tips, as well as suggestions
on how best to code a PM application to take full advantage of new features in
the system.                               
:h3. Speaker
:p.
:hp2.Kelvin Lawrence:ehp2.:hp1. is an Advisory Programmer working in the OS/2 PM Graphics
Sybsystems group in IBM Boca Raton.  This group owns responsibility for the
PM Graphics Engine, the Graphical Programming Interface (GPI), and the Window
Manager (PMWIN).  At this writing, Kelvin has just finished working on the           
conversion of the Graphics Engine and GPI to 32-bit code, and has now embarked
on the conversion of the Window Manager (PMWIN) to 32-bit code.  He was a 
member of the original IBM team that worked with Microsoft to define the OS/2
PM System, and he worked with Graham Winn on the design and first implementation
of the GPI. Kelvin has an Honours Degree in Computer Science from Brighton 
Polytechnic in England.:ehp1.
:h2. Introduction to REXX.                 
:lines align=center.
:hp2. Introduction to REXX.:ehp2.
:elines.
:p.
This session will provide an introduction to REXX history, philosophy, features
and usage, including features that are new in OS/2 2.0.                          
:h2. Using the REXX Programming Interface.                            
:lines align=center.
:hp2. Using the REXX Programming Interface.:ehp2.
:elines.
:p.
This session is an introduction to using the REXX programming interfaces to 
extend REXX, or to use REXX as a macro language from an application.                       
:h2. Object Oriented REXX.                 
:lines align=center.
:hp2. Object Oriented REXX.:ehp2.
:elines.
:p.
A demo of the Object Oriented REXX research prototype will be presented, and
this session will include a discussion of the positioning of Object Oriented        
REXX on OS/2.                         
:h3. Speaker
:p.
:hp2.Rick McGuire:ehp2.:hp1. is a well-known expert on REXX.:ehp1.
:h2. Introduction to the PM API.
:lines align=center.
:hp2. Introduction to the PM API.:ehp2.
:elines.
:p.
This workshop will provide an introduction to the OS/2 2.0 PM API. Areas to be
covered include: use of the API in a typical PM application; overviews of the
relationship between the API functions and messages; drag and drop; and the 
standard dialogs (font and file selection). The workshop will focus on how the
API should be used to write OS/2 2.0 PM applications, and it will provide real
world examples.          
:h2. Designing Applications for OS/2.      
:lines align=center.
:hp2. Designing Applications for OS/2.:ehp2.
:elines.
:p.
This workshop covers the change in thinking, design and programming required 
to take full advantage of OS/2 2.0.  It demonstrates that while writing good 
programs for OS/2 takes additional effort, in the long run it pays off with
improved end-user satisfaction.  The workshop covers:  the OS/2 "mindset"; 
serial versus parallel thinking; using a client-server model; and performance
issues.        
:h3. Speaker
:p.
:hp2.David Moskowitz:ehp2.:hp1. is president of Productivity Solutions, a consulting firm that
specializes in helping clients deal with technology change.  He is the author
of "Converting Applications to OS/2", and with David Kerr he is the editor of
the forthcoming "OS/2 Unleashed" from SAMS.  In addition, David writes the 
"Object Objective" column for "OS/2 Monthly" magazine.  He developed and
presented the very first workshops offered as a part of the IBM Developer
Assistance Program on converting applications to OS/2, in 1989.  Since then,       
he has worked with many developers to help them make full use of OS/2.:ehp1.
:h2. The OS/2 Bulletin Board:  One Perspective.                          
:lines align=center.
:hp2. The OS/2 Bulletin Board:  One Perspective.:ehp2.
:elines.
:p.
This session discusses some of the important details of running a bulletin
board system under OS/2.  Specific information will be presented for the
Maximus BBS package, with general references to other packages available. 
Topics include the desirability and benefits of operating a BBS under OS/2,
and some specific information on the activities of the OS/2 Shareware BBS.               
:h2. OS/2 Shareware.                       
:lines align=center.
:hp2. OS/2 Shareware.:ehp2.
:elines.
:p.
This session will address the general topic of shareware and freeware available
for OS/2.  It is a little-known fact that there are in excess of 3000 programs        
and information files available at little or no cost to the OS/2 user and
developer.  Information will be provided about the general categories of
shareware and freeware available, and in particular, about some specific       
packages of interest to developers.                         
:h2. The GammaTech Utilities.            
:lines align=center.
:hp2. The GammaTech Utilities.:ehp2.
:elines.
:p.
This session will present the GammaTech Utilities for OS/2. Presently, the
GammaTech Utilities include the only OS/2 HPFS optimizer program and the only
OS/2 undelete program.  All the utilities in the package will be demonstrated
and discussed. Differences between the GammaTech Utilities and the functions         
provided by the operating system will also be addressed.             
:h3. Speaker
:p.
:hp2.Pete Norloff:ehp2.:hp1. is an independent OS/2 developer with experience in user interface
design, asynchronous communications systems, and database design and integration.
His OS/2 projects to date include an OS/2-hosted vehicle localization system,
an OS/2 utility package, and CallerID support software.  Pete has been a 
scientific applications programmer for 12 years, and he has been operating the
OS/2 Shareware BBS for three years.:ehp1.
:h2. OS/2 Extended Services              
:lines align=center.
:hp2. OS/2 Extended Services:ehp2.
:elines.
:p.
Communications Manager. Topics to be covered include the basics of installing 
and configuring the ES Comm Manager for both standalone and networked support. 
The first of several topical discussions will cover the basic services provided
by Comm Manager, including: 3270/5250 support; SNA over ASYNC support; APPC/APPN
support; LU0 support; 3270 gateways; physical connection alternatives; and        
VTAM/NCP prerequisites/requirements.  From this overview, additional sessions
will be offered to talk specifically about:  3270 support and LAN gateways
(including discussions of performance improvements); APPC/APPN support and use
of CPI-C (with specific focus on configuration and rapid prototyping of 6.2
TP's under REXX); VTAM/NCP considerations; Comm Manager TRACE and problem 
determination/diagnosis; and a final session covering Comm Manager utilities 
(ALMCOPY, EPM support, PCPRINT and CMAPL).          
:h3. Speaker
:p.
:hp2.Toby Pennycuff:ehp2.:hp1. (a.k.a. Dr. Comm Manager) is a Systems Engineer for American
Airlines' SABRE Computer Services.  He has been with American for six years,
and he has led several projects in which the Comm Manager has been utilized to
support airline connectivity requirements.  Prior to coming to American, Toby          
served as a Manager in the Management Consulting Services practice of Price        
Waterhouse's Houston office, and worked for the two largest Texas banks in
real- time banking system implementations.  He began his career as a Systems
Engineer in Electronic Data Systems' Banking Group in Dallas, TX, and he has            
amassed over fifteen years of data processing experience.:ehp1.
:h2. Printing in OS/2.                     
:lines align=center.
:hp2. Printing in OS/2.:ehp2.
:elines.
:p.
We will begin with a description of OS/2 print subsystem architecture, then we
will proceed to describe how OS/2 prints from DOS VDM, WINOS2 and PM applications.
This session will include a tutorial on how to write a PM application that           
prints, including considerations for fonts and network printing.                
:h2. OS/2 Network Independence.                     
:lines align=center.
:hp2. OS/2 Network Independence.:ehp2.
:elines.
:p.
This session will begin with a description of OS/2 network object and network 
independence architecture, leading into an overview of a network independent              
API for PM applications.  We will also describe what must be added to a network 
requestor in order for it to be a participant in OS/2 network independence.                     
:h3. Speaker
:p.
:hp2.Michael Perks:ehp2.:hp1. has worked for IBM for eight years.  He has been involved in
graphics since 1984.  In 1990 he moved from IBM in England to Boca Raton to be 
the lead designer and architect for the OS/2 2.0 print subsystem.  He was               
also the designer and team leader for the OS/2 LAN independent shell.  He is 
now working on advanced PM design.  Mike has a B.Sc. with Honors in Computer                    
Science from Loughborough University, England.:ehp1.
:h2. OS/2 Applications the World Is Waiting For.                                   
:lines align=center.
:hp2. OS/2 Applications the World Is Waiting For.:ehp2.
:elines.
:p.
Writing programs for DOS was a one-dimensional process - one string, one
concept, one process at a time.  With OS/2 2.0 and beyond, the universe 
expands:  it becomes multidimensional, and the programmer is now challenged to
unshackle herself/himself from those onerous restrictions, to let his/her coding
more closely follow the imagination.  This talk is intended to be "seminal",              
to plant that seed that will become the mighty oak, the next generation of 
software.  From now on, programming will be as different from what it was as 
a line is from the Mona Lisa.                    
:h2. You Can Have Your Cake and Eat It Too.                                 
:lines align=center.
:hp2. You Can Have Your Cake and Eat It Too.:ehp2.
:elines.
:p.
Do you like the software development work you are doing, but you think that 
the commercialization of it is beyond you?  This talk will cover various plans
to allow the small independent developer to have access to resources equivalent
to those that large companies have. We will start with the pre-development
planning and the strategic programming talent alliances, and proceed all the
way to the capitalization step and beyond.  If participants can submit
electronic files of the outline of their projects, or any other type of
business relationship they desire to enter into, these will be entered into     
the database that will be the backbone of the Strategic Talent Alliances 
Reporting (STAR) project.                             
:h3. Speaker
:p.
:hp2.Paolo Pignatelli:ehp2.:hp1. started The Corner Store in Litchfield, Connecticut, in
October 1991, as an experiment in high technology and multimedia marketing.
Since that time, it has attracted the attention of customers all over the 
world, and the store's focus on and strong support for OS/2 was featured at 
the COMDEX introduction of OS/2 last Fall.  Paolo is a co-founder of the
Litchfield Capital Corporation, which began as an investment advisory service
and subsequently shifted emphasis to research on computer technology, artificial
intelligence, and multimedia technology.  He has also been an interpreter for
the U.S. Justice Department and the Treasury Department; a co-founder and Chief
Financial Officer/Chief Operations Officer of A. L. Havens Securities, Inc.;
a stockbroker specializing in high technology stocks; and a research assistant
at Bell Laboratories participating in projects involving image processing 
algorithms, compression codes, and methods for improving the speed and reliability
of advanced computing devices.:ehp1.
:h2. Will Your Program have a User?             
:lines align=center.
:hp2. Will Your Program have a User?:ehp2.
:elines.
:p.
This session describes the non-programming steps required to develop a successful
program. Topics will include:  identifying requirements, design verification, working
with projected users, and product differentiation.                           
:h3. Speaker
:hp2.Brian Proffit:ehp2.:hp1. was part of the OS/2 team beginning prior to the existence of a
version 1.0, until after the release of 2.0.  He is the author of "OS/2 
Application Development Tools", and his latest book will be available shortly              
from Osborne/McGraw-Hill: "OS/2 Inside &amp. Out".  For over two years Brian wrote
the Tools Update column in "IBM Personal Systems Developer" magazine.  Brian            
was the keynote speaker at IBM's OS/2 International Developer's Conference in
San Francisco.  He is now the Director of PC Week Corporate Labs.:ehp1.
:h2. Programming OS/2 Presentation Manager with Style.                        
:lines align=center.
:hp2. Programming OS/2 Presentation Manager with Style.:ehp2.
:elines.
:p.
This session will examine a PM application to see what constitutes "good" style
for PM programming.  Such problems as use of global variables, text data, use
of APIs versus messages, instance data, and other issues will be examined. The 
session will be a workshop for professional PM developers to share their
experiences and for us all to learn from each other.
:h2. Creating Your Own Controls with Subclassing.                        
:lines align=center.
:hp2. Creating Your Own Controls with Subclassing.:ehp2.
:elines.
:p.
This session will examine how to create your own window classes by subclassing
system window classes.  Two custom control classes will be built, based on the
entry field and listbox classes.  There will also be discussions on PM programming
techniques that the PM programmer should know.                                             
:h2. Using the Container's Details View.                               
:lines align=center.
:hp2. Using the Container's Details View.:ehp2.
:elines.
:p.
In this session, we will see how to use the OS/2 2.0 Container class to build
a multi-column list box that supports titles, scrolling, splitbars, direct
manipulation, and more.  We will concentrate on the fundamentals of programming
a Container, using the details view to focus our attention.  This session will
not cover programming of other Container views.                    
:h2. Programming Sliders.                
:lines align=center.
:hp2. Programming Sliders.:ehp2.
:elines.
:p.
In this session we will look at the Slider control introduced with OS/2 2.0.
We will see how to use the Slider as an input device, and how to use it for       
output, as when displaying a progress bar.                       
:h3. Speaker
:hp2.Guy Scharf:ehp2.:hp1. is President of Software Architects Inc.  SAI specializes in
developing OS/2 PM software products for ISVs.  Guy writes the "Advanced PM
Programming" column for "OS/2 Monthly". He is a founder of the OS/2 Bay Area
User Group.  He is a sysop on the IBMOS2 and OS2DEV forums on CompuServe, and
he is active in several professional associations.:ehp1.
:h2. Introduction to Object-Oriented Programming and C++.                      
:lines align=center.
:hp2. Introduction to Object-Oriented Programming and C++.:ehp2.
:elines.
:p.
Object-oriented programming is the most important advance in programming since
the development of structure programming languages.  After an introduction to 
classes and object, the basic building blocks of object-oriented programs, we
will examine the three distinguishing characteristics of object-oriented programming
languages:  Polymorphism, Inheritance and Encapsulation. We will then look at
how these three characteristics of object-oriented programming languages impact
the code development process.   This session is strongly recommended for everyone 
attending this conference, as it lays a foundation for several following sessions.                                 
:h2. Object-Oriented Programming on OS/2:  The SOM Model.                     
:lines align=center.
:hp2. Object-Oriented Programming on OS/2:  The SOM Model.:ehp2.
:elines.
:p.
SOM (System Object Model) advances the state of the art of building class
libraries in three important areas.  First, SOM offers the promise of language
independent class libraries which can be fully used from various object-oriented
and procedural languages.  Second, SOM allows libraries to be distributed which
are binary compatible across versions.  Third, SOM provides a means of extending 
standard procedural languages to include full object-oriented programming          
capability.  This session gives an introduction to the use of SOM, and compares
SOM libraries to those developed using standard object-oriented languages.  This     
session requires an understanding of object oriented programming; the introductory
session above will provide that understanding.     
:h2. Advanced SOM Programming.            
:lines align=center.
:hp2. Advanced SOM Programming.:ehp2.
:elines.
:p.
This is an advanced course on programming with SOM.  Depending on interest of
participants, the session will include material on tracing, runtime type checking,
initialization and deinitialization of objects, metaclasses, changing the class
of a SOM metaclass, implied metaclasses, and performance optimization.
Participants should have attended the introduction to SOM, or have SOM programming
experience.  SPECIAL NOTE:  This is the first time this talk has been presented
anywhere   if you are an experienced SOM programmer, you will not want to miss
this session.                             
:h3. Speaker
:p.
:hp2.Roger Sessions:ehp2.:hp1. works at IBM in Austin, Texas, in the Object Technology Group,
which is the group responsible for Object Technology on both OS/2 and AIX.  This
is the group which produces the System Object Model, also known as SOM. Roger's
specialty is Object Persistence, and he has many years of experience in relational
databases, object-oriented storage subsystems, and programming with SOM.  Roger
is the co-author of "Class Construction in C and C++: Object-Oriented Programming      
Fundamentals", which was published by Prentice-Hall earlier this year and was        
chosen to be a Main Selection of the prestigious Library of Computer and
Information Science book club.  He is also the author of "Reusable Data Structures
for C", and the author of two well-known papers on SOM: "Object-Oriented Programming                
in OS/2" from the Winter, 1992 issue of "IBM Personal Systems Developer", and                     
"Class Objects in SOM" in the Summer, 1992 issue of "OS/2 Developer".  He has
lectured throughout the world on the principles of Object-Oriented Programming,
C++, and SOM.:ehp1.
:h2. Introduction to IBM's TCP/IP for OS/2.                                           
:lines align=center.
:hp2. Introduction to IBM's TCP/IP for OS/2.:ehp2.
:elines.
:p.
This session will cover the features in IBM's TCP/IP product for OS/2.  This 
product provides a very rich selection of protocols, functions and programming
interfaces which facilitate the integration of OS/2 with traditional Unix                      
development environments. Examples of applications include: FTP and NFS for
file sharing; LPR for printer sharing; X Windows for distributed computing;
and Telnet for remote logon. Programming interfaces include sockets, remote 
procedure call, file transfer, and Kerberos security.  This session will provide
an overview of product capabilities from a technical perspective.                                    
:h3. Speaker
:p.
:hp2.Bill Snow:ehp2.:hp1. works at IBM in the TCP/IP development organization, where he is the
manager of technical strategy and design for IBM's OS/2, DOS, VM and MVS TCP/IP                      
products.  He has also been a developer and tester, team leader for programming                      
interfaces, service manager, and release manager for the DOS and OS/2 TCP/IP
products, within that organization. Prior to joining IBM, Bill was the manager of
the advanced technology division of ESL Corporation, a subsidiary of TRW in             
Sunnyvale, California; and he was a member of the technical staff at Bell Labs,
working in communications products development for PBX products.:ehp1.
:h2. An Introduction to WPS Programming.                         
:lines align=center.
:hp2. An Introduction to WPS Programming.:ehp2.
:elines.
:p.
This session will focus on the concepts behind programming the Workplace Shell.
An initial tutorial will quickly cover SOM and the overall architecture of the 
Shell.  After this overview, a sample WPS shell object will be used to expose
the inner workings of a typical object.  This sample object will be used as a 
starting point for the creation of a new WPS object.  Attendees should come 
away with the experience of writing a Shell object, and with sample source code
which can be used for the creation of other objects.  Attendees should be        
experienced C/C++ programmers who are familiar with PM programming.    
:h2. An Overview of VIM.                  
:lines align=center.
:hp2. An Overview of VIM.:ehp2.
:elines.
:p.
VIM is the Vendor Independent Messaging interface, endorsed by Apple, Borland,
IBM, Lotus and Novell.  This session will focus on the main components of VIM,       
such as directory services and the message store.  A brief introduction to the 
API will be given, along with some programming examples.                
:h3. Speaker.
:p.
:hp2.Greg White:ehp2.:hp1. is the architect and lead engineer for cc&colon.Mail for the Workplace
Shell. Greg joined cc&colon.Mail in December of 1990, and was one of the lead
engineers for cc&colon.Mail for Windows 1.0 and 1.1.  Prior to cc&colon.Mail, Greg worked
for Index Technology in Cambridge, Massachusetts, and was responsible for
portions of the Excelerator for DB2 product.  Greg has a BA in Economics from
Middlebury College.  He enjoys mountain biking, fishing and skiing when not                
coding obsessively.:ehp1.
:h2. OS/2 Today and Tomorrow.                       
:lines align=center.
:hp2. OS/2 Today and Tomorrow.:ehp2.
:elines.
:p.
A hard-nosed look at where OS/2 has been and where it is going, with a focus on
the opportunity OS/2 provides for developers. Microsoft's "Windows Ueber Alles"
strategy has been a lot more successful on the PR front than it has been in 
the real world. Microsoft may be making money on Windows applications, but not
many others who are trying to ride the Windows bandwagon are. Drawing on his 
extensive background in computer industry market research, Will Zachmann                 
spells out why OS/2 will provide smart developers with better opportunities than
either Windows or Unix over the next few years.               
:h3. Speaker.
:p.
:hp2.Will Zachmann:ehp2.:hp1. is President and owner of Canopus Research, which provides
industry and technology analysis to the computer industry, the financial 
community, and users of information technology.  He has been a columnist for
many publications, including PC Magazine, PC World, Infoworld, ComputerWorld,                  
Software Magazine, and PC Week.  Will introduced the word "downsizing" to the                   
industry (in 1985), and predicted IBM's financial difficulties in the late                   
1980s.  He is also virtually the only industry analyst or columnist who 
resolutely refuted the "OS/2 is dead" nonsense most others fell into a couple
of years ago, and he firmly predicted the success that OS/2 is now having.:ehp1.
:h1. ColoradOS/2!  in Colorado Springs
:p.
:h2. Colorado Springs and the Pikes Peak Region.
:p.
Colorado Springs is the second largest city in Colorado, with a
metropolitan area population of approximately 400,000.  At an elevation
of 6,035 feet above sea level, the air is mountain-fresh and crisp in
January.  Situated at the base of world-famous Pikes Peak, Colorado
Springs is classified as an "alpine desert", with an average annual
precipitation of 15.73 inches and an average relative humidity of 45
percent, yet it receives an average annual snowfall of 42.5 inches.
:p.
As is typical in Colorado, this city is both young and vigorous.  It was
founded in 1871, and the median age of its residents is 27.  Enjoying
more than 300 days of sunshine annually, Coloradans love the outdoors
and enjoy an informal lifestyle that is centered on the beautiful
Colorado Rockies.  Bicycling is a favorite year-round activity for many
people here, as are hiking, camping, fishing and climbing.  Of course,
Colorado is world-famous for its winter skiing.  While cross-country
skiing is sometimes possible within the city limits, really good cross-
country skiing is available within a 30-minute drive, while some of the
best ski areas in the world are about two hours away.
:p.
Just to the North of Colorado Springs is the U.S. Air Force Academy, set
against the foothills of the Front Range, on a beautiful campus that has
the "problem" of too many deer and antelope wandering through the area. 
The Academy is open for touring, and has a frequently-photographed
chapel that is designed in a very modern style that symbolizes the
soaring of both the mountains and the cadets.  The Academy's sky-diving
team often practices here, and throughout the year the cadets are
usually being trained to fly, both in gliders and in single-engine
airplanes.
:p.
Even closer is the Garden of the Gods, an incredible geographic oddity
of spectacular red sandstone rock formations in the shadow of Pikes
Peak.  This park encompasses a rare combination of ecosystems, from
plains grasslands to pinon juniper woodlands and high mountain forests. 
Some of the most challenging rock climbing in the nation is available
here, and it is a favorite area for people who enjoy winter rock
climbing.  The rock is crumbly, steep and dangerous, and climbing it
requires both experience and suitable equipment, as well as registration
with the park rangers.  The Garden of the Gods Trading Post inside the
park, which is designed to resemble the homes of the Pueblo Indians of
the Southwest, features authentic Indian arts, crafts and jewelry.
:p.
Within an hour's drive is the Florrisant Fossil Beds National Monument,
which contains petrified Sequoia stumps, flora and fauna from the
Oligocene epoch, and over 6,000 acres of hiking trails.  In the winter,
this is often a good cross-country skiing area, depending on recent
snowfalls.  Rangers are located there year-round to answer questions and
to suggest "don't miss" things to see.
:p.
Numerous other attractions are very near Colorado Springs, including the
legendary mining town of Cripple Creek (made famous in a song by The
Band, and now featuring numerous casinos as gambling was just legalized
there), Manitou Springs, Old Colorado City, the Manitou Cliff Dwellings
Museum, The Cheyenne Mountain Zoo and Will Rogers Shrine, Cave of the
Winds, Seven Falls, and many more.
:h2. ColoradOS/2! at Cheyenne Mountain Conference Resort
:p.
:h2. The Cheyenne Mountain Conference Resort.
:p.
The Cheyenne Mountain Conference Resort provides a unique conference
environment that is particularly well suited to this high tech
conference.  In a beautiful setting with spectacular views of the
Colorado Rockies, the Cheyenne Mountain Conference Resort skillfully
blends the rugged charm of Colorado with the tasteful elegance that is
echoed in its collection of Oriental art.
:p.
The resort's 230 guest rooms and suites are clustered in seven lodges,
and each room has its own balcony framing dramatic views of Cheyenne
Mountain.  The main lodge features 30 specially designed meeting rooms
with multi-level lighting, individual environmental controls, and near-
perfect acoustics.  Cheyenne Mountain Conference Resort's "eight hour"
chairs were custom designed by International Conference Resorts, working
with the manufacturer to provide the most comfortable and functional
seating available; these chairs have now become the industry benchmark.
:p.
Cheyenne Mountain Conference Resort reflects Colorado's natural
orientation to outdoor activities in its sporting amenities.  The resort
has an immaculately groomed 18-hole championship golf course (where play
was possible last January, an unusual but not rare occurrence), 18
tennis courts (six indoor, two clay), three heated swimming pools (only
the indoor pool is open in Winter), squash and racquetball courts, and a
fully-equipped men's and women's fitness center.
:p.
The Mountain View dining room features a selection of delicious hot
entrees served in covered gueridons, a delightful salad bar, tempting
dessert table, omelette station and special order grill.  The lunch
buffet will be complimentary for conference participants during the
five-day conference.  Breakfast and dinner are also available in the
Mountain View dining room, and spouses and children are welcome for
those meals.  Meals are also available via room service.
:p.
Remingtons restaurant, which is located at the Cheyenne Mountain
Conference Resort, was recently chosen one of the 50 best restaurants in
the United States.  Impeccable tableside service, exquisitely prepared
continental cuisine, and an intimate setting with one of the most
extensive wine cellars in Colorado, combine to ensure an enjoyable
evening following an active day at :hp2.ColoradOS/2!:ehp2.  This is a restaurant
where you will want to linger over dinner for two hours or more. 
Although dining here is not inexpensive, it is surprisingly affordable,
particularly so given Remingtons' nationally recognized excellence.
:h2. ColoradOS/2!  Hotel and Travel Information
:p.
:h3. Hotel and Travel Information.
:p.
Rooms have been reserved at the Cheyenne Mountain Conference Resort at a
special rate for all attendees of the :hp2.ColoradOS/2!:ehp2. conference.  When you
call to register for the conference, you can also make your room
reservations.  The special conference room rate is $60 plus tax, for
either a single or a double, and there is no additional charge for
spouses or children.
:p.
The number of rooms available at the Cheyenne Mountain Conference Resort
is less than half the number of people expected to attend this
conference, so you should register for the conference and reserve your
room as early as possible.  People who register after all of the
resort's rooms are committed will be booked into a nearby hotel, with
free shuttle service to the resort, and with access to all of the same
amenities as if they were staying at the resort.  This will all be
managed automatically for you by the Cheyenne Mountain Conference Resort
staff, if you make your reservations at the time you register for the
conference.
:p.
You may instead choose to manage your own hotel reservations, or stay
with friends while attending the conference, although in that case you
would not be entitled to any of the Cheyenne Mountain Conference
Resort's amenities beyond those related to the conference itself.  Some
of the better hotels in Colorado Springs are the Broadmoor, the Antlers
Doubletree Hotel, the Colorado Springs Sheraton, the Colorado Springs
Hilton Inn, the Colorado Springs Marriott, the Embassy Suites Hotel, the
Red Lion Hotel, two Radisson Inns, and several others.
:p.
Colorado Springs' central U.S. location makes it an easy destination to
reach from anywhere in the country.  The Colorado Springs Airport is a
modern, convenient facility that has hosted all kinds of aircraft, from
the Space Shuttle to the British Airways Concorde.  Offering a full
range of airport services and plentiful ground transportation resources,
the Airport is located just 15 minutes from the Cheyenne Mountain
Conference Resort.
:p.
The Colorado Springs Airport serves nine airlines, with over 150 flights
daily, offering direct and nonstop service to most major U.S. cities,
and easy connections to virtually any destination in the world.  Among
those nine airlines are American, United, Delta, TWA, America West and
Continental.
:p.
Some travellers to Colorado Springs still prefer to land in Denver, then
rent a car and drive to Colorado Springs.  The trip is entirely on
Interstate highways, and it takes just a little more than an hour to
cover the 60-mile (97-kilometer) distance.  In addition, it is a very
pretty drive, with the Front Range to the West, the Plains and foothills
to the East, and Pikes Peak in view throughout most of the drive.  Be
aware, though, that Monument Pass, near Colorado Springs, is famous for
its traffic-halting winter storms.  You should check the weather before
you decide to make this drive, although it is unlikely that weather will
be a problem.
:p.
Special discount travel arrangements have been made with International
Conference Resorts of America Travel Services (ICRA Travel Services). 
ICRA is the parent corporation of Cheyenne Mountain Conference Resort,
and ICRA Travel Services provides comprehensive air and ground travel
services to and from the Cheyenne Mountain Conference Resort.  ICRA's
fares are typically 50 to 55 percent of published coach fares, although
those savings will vary based on city of origin, air carrier, seasonal
variations, and other factors.
:p.
In addition to the normal ICRA discounted fares, you may be able to take
advantage of special Ultra Saver fares.  These fares require 30 day
advance purchase and a Saturday night stay-over, and a penalty will
apply if there are any changes or cancellations.  International flights
typically require a 21 day advanced purchase and a seven day minimum
stay in the United States; a penalty may apply if there are any changes
or cancellations.   The ICRA Travel Services representative can explain
these fares when you make your reservations.
:p.
To take advantage of these travel discounts, simply follow the outline
below&colon.
:p.
1.    Please telephone the ICRA reservationists at :hp2.800-544-2432:ehp2., or
      for international callers, :hp2.602-483-1520:ehp2..  International callers
      may also make their reservations via FAX at :hp2.602-948-6690:ehp2..  Hours
      of operation are Monday through Friday, 9&colon.30 AM to 8&colon.00 PM,
      Eastern Standard Time.
:p.
2.    Please identify yourself by informing the ICRA Travel
      Coordinator that you will be attending the Kovsky Conference
      Productions :hp2.ColoradOS/2!:ehp2. Conference at the Cheyenne Mountain
      Conference Resort.
:p.
3.    The ICRA reservationist will make your flight arrangements
      utilizing ICRA's preferred fares.  For your convenience, all
      major credit cards are accepted.
:p.
4.    Your tickets will be mailed directly to you, approximately two
      weeks before the meeting.
:p.
5.    You must make your travel reservations before December 14th,
      1992, in order to obtain these special travel discounts. 
      International travel arrangements should be completed even
      earlier, if possible.
:p.
Upon receipt of your reservation, ground transportation from the airport
to the Cheyenne Mountain Conference Resort can be automatically arranged
for you.  The Cheyenne Mountain Conference Resort has its own airport
shuttle service, which will meet your flight and take you directly to
the Conference Resort; the price for this service is $8.50 per person
each way.  The information on exactly where to meet the Resort's bellman
at the airport will be presented on your airline ticket jacket, if you
request this service.
:p.
ICRA Travel Services has a service center located at the Cheyenne
Mountain Conference Resort to assist with any last minute travel changes
you may need to make during the :hp2.ColoradOS/2!:ehp2. conference.  In addition,
the resort has a car rental agency on premises for your convenience.
:h2. ColoradOS/2!  Registration Information
:p.
:h3. To Register by Phone
:p.
To register by phone, call :hp2.800-648-5717:ehp2. (International callers can call
:hp2.719-576-4600:ehp2.), Monday through Friday, between the hours of 9&colon.30 AM and
7&colon.00 PM Eastern Standard Time.  Tell the reservationist that you wish to
register for the Kovsky Conference Productions :hp2.ColoradOS/2!:ehp2. conference;
you may make your room reservation at the Cheyenne Mountain Conference
Resort at the same time.
:h3. To Register by FAX
To register by FAX, complete the registration form and FAX it to :hp2.719-576-4186:ehp2..
:h3. To Register by Mail
To register by mail, complete the registration form and mail it to&colon.
:p.
     The Cheyenne Mountain Conference Resort
     Attn&colon.  Amy Seymour/:hp2.ColoradOS/2!:ehp2.
     3225 Broadmoor Valley Road
     Colorado Springs, Colorado  80906
:h3. Methods of Payment:
:p.
You may use MasterCard, VISA, American Express, Discover, Diners Club,
or Carte Blanche credit cards.  If you are registering by mail, you may
also use a personal check or money order, payable in U.S. dollars to
Kovsky Conference Productions Inc.  Sorry, no Purchase Orders can be
accepted.
:h3. Cancellation Policy:
:p.
All cancellation and refund requests must be received in writing prior
to November 15, 1992, and will be subject to a $100 cancellation fee. 
After November 15, 1992, your registration fee is non-refundable. 
Kovsky Conference Productions Inc. reserves the right to modify or
cancel the conference or segments of it.
:h2. ColoradOS/2!  Registration Form
:lines align=center.
:hp2. ColoradOS/2!:ehp2.  Registration Form
:elines.
:p.
(Please fill out completely, and print or type information as you wish
it to appear on your badge.  You are welcome to photocopy this form for
additional registrations.)
:p.
:lines align=center.
:hp2.ColoradOS/2!:ehp2. Conference, January 10-15, 1993
:elines.
:p.
(Circle one)  Mr.  Ms.  Mrs.  __________________________________________
:p.
Title  _________________________________________________________________
:p.
Company  _______________________________________________________________
:p.
Address1  ______________________________________________________________
:p.
Address2  ______________________________________________________________
:p.
City  ___________________________   State  _______    Zip  _____________
:p.
Country   ______________________________________________________________
:p.
Phone  _______________________              FAX ________________________
:p.
:hp2.Cheyenne Mountain Conference Resort Reservations&colon.:ehp2.  ____  Yes    ____  No
:p.
Number in party  _______________
:p.
Arrive  _______________________      Depart  ________________________
:p.
:hp2.Payment&colon.:ehp2.  $995 for registrations received prior to November 15, 1992.
:p.
          $1295 for registrations received on/after November 15, 1992.
:p.
          Total amount due:  $  ________________________________________
:p.
____  :hp2.Check or Money Order&colon.:ehp2.
:p.
          Enclose check or money order made payable in U.S. dollars to&colon.
:p.
                         Kovsky Conference Productions Inc.
:p.
____  :hp2.Credit Card&colon.:ehp2.    ____  MasterCard         ____  VISA
:p.
                      ____  American Express   ____  Discover
:p.
                      ____  Diners Club        ____  Carte Blanche
:p.
  Card number&colon.  ________________________       Expiration date&colon. ________
:p.
  Signature: __________________________________________________________&colon.
:p.
:lines align=center.
(signature must be exactly as it appears on card)
:p.
:elines.
:euserdoc.
